Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.service
Class RunServiceAssembler

    java.lang.Object
      com.servingxml.components.service.RunServiceAssembler

    public class RunServiceAssembler

extends java.lang.Object

Assembler for assembling a `RunService` instance.

Constructor Summary
`RunServiceAssembler()`

Method Summary
`Task` | `assemble(ConfigurationContext context)`
`void` | `injectComponent(CatchError catchError)`
`void` | `injectComponent(ParameterDescriptor[] parameterDescriptors)`
`void` | `injectComponent(SaxSourceFactory saxSourceFactory)`
`void` | `injectComponent(Service service)`
`void` | `injectComponent(StreamSinkFactory sinkFactory)`
`void` | `injectComponent(StreamSourceFactory sourceFactory)`
`void` | `setService(java.lang.String serviceId)`
`void` | `setServiceRef(java.lang.String serviceId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RunServiceAssembler

    public RunServiceAssembler()

Method Detail

### setService

    public void setService(java.lang.String serviceId)

### setServiceRef

    public void setServiceRef(java.lang.String serviceId)

### injectComponent

    public void injectComponent(ParameterDescriptor[] parameterDescriptors)

### injectComponent

    public void injectComponent(Service service)

### injectComponent

    public void injectComponent(StreamSinkFactory sinkFactory)

### injectComponent

    public void injectComponent(StreamSourceFactory sourceFactory)

### injectComponent

    public void injectComponent(SaxSourceFactory saxSourceFactory)

### injectComponent

    public void injectComponent(CatchError catchError)

### assemble

    public Task assemble(ConfigurationContext context)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD